<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <record id="homologation_currency_tree" model="ir.ui.view">
            <field name="name">homologation.currency.tree</field>
            <field name="model">homologation.currency</field>
            <field name="arch" type="xml">
                <tree string="Homologación de moneda" delete="false">
                    <field name="name" string="Nombre"/>
                    <field name="code" string="Código"/>
                    <field name="currency_id"/>
                    <field name="sin_currency_id" />
                </tree>
            </field>
        </record>

        <record id="homologation_currency_form" model="ir.ui.view">
            <field name="name">homologation.currency.form</field>
            <field name="model">homologation.currency</field>
            <field name="arch" type="xml">
                <form>
                    <sheet>
                        <div class="oe_title">
                            <h1>
                                <field name="name"/>
                            </h1>
                        </div>
                        <group name="group_top">
                            <group name="group_left">
                                <field name="code"/>
                                <field name="currency_id" options="{'no_open': 1, 'no_create': 1}"
                                       required="1"/>
                            </group>
                            <group name="right_group">
                                <field name="sin_currency_id" options="{'no_open': 1, 'no_create': 1}"
                                       required="1"/>
                            </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>

        <act_window id="action_homologation_currency"
                    res_model="homologation.currency"
                    name="Homologación de moneda"
                    view_mode="tree,form"/>

        <record id="action_homologation_currency_tree" model="ir.actions.act_window.view">
            <field eval="1" name="sequence"/>
            <field name="view_mode">tree</field>
            <field name="view_id" ref="homologation_currency_tree"/>
            <field name="act_window_id" ref="action_homologation_currency"/>
        </record>

        <record id="action_homologation_currency_form" model="ir.actions.act_window.view">
            <field eval="2" name="sequence"/>
            <field name="view_mode">form</field>
            <field name="view_id" ref="homologation_currency_form"/>
            <field name="act_window_id" ref="action_homologation_currency"/>
        </record>
    </data>
</odoo>